Bug 62495 - system startup does not clear locks in subsys dir
system startup does not clear locks in subsys dir
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-01 15:07 EST by Need Real Name
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-01 15:11:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-01 15:07:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
If the system crashes hard, then when the system starts up, some services 
refuse to start because they have locks set in the /var/lock/subsys directory.

Basically, need to mod rc.sysinit to clear that directory.  Maybe you could 
make a directory like /etc/sysinit-clear.d that contains symbolic links to 
directories to be cleared at system startup.  
That way, rpms could install their favorite directories there to be 
cleaned up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.power-off running system
2.watch for subsystems that don't start OK

Additional info:
Comment 1 Bill Nottingham 2002-04-01 15:11:44 EST
From rc.sysinit:

for afile in /var/lock/* /var/run/*; do
   if [ -d "$afile" ]; then
      [ "`basename $afile`" != "news" -a "`basename $afile`" != "sudo" -a
"`basename $afile`" != "mon" ] && rm -f $afile/*
      rm -f $afile

Does this not work for you?
Comment 2 Bill Nottingham 2002-11-25 17:00:38 EST
closed, no response

Note You need to log in before you can comment on or make changes to this bug.